//
//
// Define compiler variables based on compiler version....
//
//   _DELPHI_4                 D4 detected
//   _DELPHI_3                 D3 detected
//   _DELPHI_2                 D2 detected
//   _DELPHI_2  _BCB_1         C++ Builder 1 detected
//   _DELPHI_3  _BCB_3         C++ Builder 3 detected
//
//
// No Permission for redistribute
// Orginally code by David Brock - (dbrock@dbrocksoftware.com)

{$IFDEF VER110}
//
// VER110 == C++ Builder 3
//
{$ObjExportAll On}
{$DEFINE _DELPHI_3}
{$DEFINE _BCB_3}
{$ELSE}
    {$IFDEF VER100}
    //
    // VER100 == Delphi 3
    //
    {$DEFINE _DELPHI_3}
    {$ELSE}
        //
        // If we get here it's either Delphi 2 or C++ Builder 1
        //
        {$IFDEF VER90}
        //
        // VER90 == Delphi 2
        //
        {$DEFINE _DELPHI_2}
        {$ELSE}
          {$IFDEF VER120}
          {$DEFINE _DELPHI_3}
          {$DEFINE _DELPHI_4}
          {$DEFINE _BCB_3}
          {$ELSE}
          //
          // All that's left is C++ Builder v1...
          //
          {$DEFINE _DELPHI_2}
          {$DEFINE _BCB_1}
          {$ENDIF}
        {$ENDIF}
    {$ENDIF}
{$ENDIF}

{$IFDEF _DELPHI_2}
 {$IFNDEF _BCB_1}
 {$DEFINE _DELPHI_}
 {$ENDIF}
{$ENDIF}

{$IFDEF _DELPHI_3}
 {$IFNDEF _BCB_3}
 {$DEFINE _DELPHI_}
 {$ENDIF}
{$ENDIF}




{$DEFINE  DEMOMODE}              // Enable for demo version creation
                                 //
                                 // For the shareware-version (includes only *.dcu)

{$DEFINE INTELLISENSE}           // Enable/Disable MS IntelliSense look (no feel)

{.$DEFINE CUSTOMDRAW}            // Will be in version 2.0

{.$DEFINE CLEARATCHANGE}        // Enable/Disable to clear the items-property, when changing
                                // the ShowStyle-property! YOU'RE REQUIRED TO ADD THE ITEMS AGAIN
                                // WHEN CHANING THIS PROPERTY!

{$DEFINE  XML}                  // Support for XML is only supported in version 2.0, includes
                                // some undocumented features that only will be documented in the
                                // Version 2.0 of TagInsight Technology...

{.$DEFINE NEWMETHOD}

{$DEFINE  SHOWTAGS}            // When the user press "<" then there will be a list of all tags avaible..
{.$DEFINE DEBUG}

(* // -- Intellimouse support removed 13-09-98
   //
   // Use Intellimouse driver version 2.2 from Microsoft
   //
  {$IFDEF _DELPHI_4}
  {$DEFINE NO_INTELLIMOUSE}
  {$ELSE}
  {$DEFINE NO_INTELLIMOUSE}
  {$ENDIF}
*)

{$H+}
{$T-}

